#!/bin/sh
                                                                                
# Copyright IBM Corp. 2006
#
# THIS PRODUCT CONTAINS RESTRICTED MATERIALS OF IBM
# ALL Rights Reserved * Licensed Materials - Property of IBM
# US Government Users Restricted Rights - Use, duplication or disclosure
# restricted by GSA ADP Schedule Contract with IBM Corp.
                                                                                
TEMP_DIR=$2
WB_DIR=$1
ADAPTER_1=JDBC
ADAPTER_2=SAP
ADAPTER_3=FlatFile

if ![ -e "$WB_DIR/Resource Adapters" ]
then
exit
fi
                                                                                
if [ -e "$WB_DIR/Resource Adapters/$ADAPTER_1/backup" ]
then
rm -rf "$WB_DIR/Resource Adapters/$ADAPTER_1/backup"
fi

if [ -e "$WB_DIR/Resource Adapters/$ADAPTER_2/backup" ]
then
rm -rf "$WB_DIR/Resource Adapters/$ADAPTER_2/backup"
fi

if [ -e "$WB_DIR/Resource Adapters/$ADAPTER_3/backup" ]
then
rm -rf "$WB_DIR/Resource Adapters/$ADAPTER_3/backup"
fi
                                                                                
mkdir "$WB_DIR/Resource Adapters/temp"
cd "$WB_DIR/Resource Adapters"
cp --recursive --reply=yes $ADAPTER_1 "$WB_DIR/Resource Adapters/temp"
cd "$WB_DIR/Resource Adapters/temp"
cp --recursive --reply=yes $ADAPTER_1 "$WB_DIR/Resource Adapters/$ADAPTER_1/backup"
rm -rf "$WB_DIR/Resource Adapters/temp"

mkdir "$WB_DIR/Resource Adapters/temp"
cd "$WB_DIR/Resource Adapters"
cp --recursive --reply=yes $ADAPTER_2 "$WB_DIR/Resource Adapters/temp"
cd "$WB_DIR/Resource Adapters/temp"
cp --recursive --reply=yes $ADAPTER_2 "$WB_DIR/Resource Adapters/$ADAPTER_2/backup"
rm -rf "$WB_DIR/Resource Adapters/temp"

mkdir "$WB_DIR/Resource Adapters/temp"
cd "$WB_DIR/Resource Adapters"
cp --recursive --reply=yes $ADAPTER_3 "$WB_DIR/Resource Adapters/temp"
cd "$WB_DIR/Resource Adapters/temp"
cp --recursive --reply=yes $ADAPTER_3 "$WB_DIR/Resource Adapters/$ADAPTER_3/backup"
rm -rf "$WB_DIR/Resource Adapters/temp"
                                                                                                                                                              
cd $TEMP_DIR
cp uninstall.sh ../uninstall.sh



